import { Buff, Bytes } from '@cmdcode/buff-utils';
import { Field, Point } from './ecc.js';
import { SignatureTypes } from './signer.js';
export declare class SecretKey extends Uint8Array {
    static random(): SecretKey;
    constructor(secret: Bytes);
    get field(): Field;
    get point(): Point;
    get buff(): Buff;
    get raw(): Uint8Array;
    get hex(): string;
    get pub(): PublicKey;
    sign(message: Bytes, type?: SignatureTypes): Promise<Uint8Array>;
    verify(message: Bytes, signature: Bytes, type?: SignatureTypes): Promise<boolean>;
}
export declare class PublicKey extends Uint8Array {
    static random(): PublicKey;
    constructor(bytes: Bytes);
    get point(): Point;
    get raw(): Uint8Array;
    get rawX(): Uint8Array;
    get buff(): Buff;
    get hex(): string;
    get hexX(): string;
    verify(message: Bytes, signature: Bytes, type?: SignatureTypes): Promise<boolean>;
}
export declare const KeyPair: typeof SecretKey;
//# sourceMappingURL=keypair.d.ts.map